## org.eclipse.datatools.connectivity.db.generic.ui
Class GenericDBProfileDetailsWizardPage

    java.lang.Object
      BaseWizardPage
          org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
              org.eclipse.datatools.connectivity.db.generic.ui.GenericDBProfileDetailsWizardPage

    public class GenericDBProfileDetailsWizardPage

extends ConnectionProfileDetailsPage

This class gathers the properties for the generic DB connection profile.

Author:
  brianf

Constructor Summary
`GenericDBProfileDetailsWizardPage(java.lang.String pageName)` Constructor

Method Summary
`void` `createControl(Composite parent)`
`void` `createCustomControl(Composite parent)`
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getDatabaseName()` Get the database name
`java.lang.String` `getDBConnProps()` Get the optional connection properties
`java.lang.String` `getDBPWD()` Get the password
`java.lang.String` `getDBUID()` Get the user name
`java.lang.String` `getDriverCategory()`
`java.lang.String` `getDriverClass()` Get the driver class
`java.lang.String` `getDriverDatabaseName()` Get the sample database name from the driver instance.
`java.lang.String` `getDriverID()` Get the driver ID
`java.lang.String` `getDriverURL()` Get the sample URL from the driver instance.
`boolean` `getSaveDBPWD()` Get the password
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`java.util.List` `getSummaryData()`
`java.lang.String` `getURL()` Get the URL for the CP
`java.lang.String` `getVendor()` Get the vendor
`java.lang.String` `getVersion()` Get the version
`void` `setDriverCategory(java.lang.String driverCategory)` Sets the driver category that should be used for displaying available driver defnitions.
`void` `setErrorMessage(java.lang.String newMessage)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDBProfileDetailsWizardPage

    public GenericDBProfileDetailsWizardPage(java.lang.String pageName)

  Constructor

  Parameters:
    `pageName` -

Method Detail

### createCustomControl

    public void createCustomControl(Composite parent)

  Specified by:
    `createCustomControl` in class `ConnectionProfileDetailsPage`

### getDriverURL

    public java.lang.String getDriverURL()

  Get the sample URL from the driver instance.

  Returns:

### getDriverDatabaseName

    public java.lang.String getDriverDatabaseName()

  Get the sample database name from the driver instance.

  Returns:

### getVendor

    public java.lang.String getVendor()

  Get the vendor

  Returns:

### getVersion

    public java.lang.String getVersion()

  Get the version

  Returns:

### getDriverClass

    public java.lang.String getDriverClass()

  Get the driver class

  Returns:

### getDBUID

    public java.lang.String getDBUID()

  Get the user name

  Returns:

### getDBPWD

    public java.lang.String getDBPWD()

  Get the password

  Returns:

### getSaveDBPWD

    public boolean getSaveDBPWD()

  Get the password

  Returns:

### getDBConnProps

    public java.lang.String getDBConnProps()

  Get the optional connection properties

  Returns:

### getDatabaseName

    public java.lang.String getDatabaseName()

  Get the database name

  Returns:

### getURL

    public java.lang.String getURL()

  Get the URL for the CP

  Returns:

### getDriverID

    public java.lang.String getDriverID()

  Get the driver ID

  Returns:

### getSummaryData

    public java.util.List getSummaryData()

### setErrorMessage

    public void setErrorMessage(java.lang.String newMessage)

### getDriverCategory

    public java.lang.String getDriverCategory()

### setDriverCategory

    public void setDriverCategory(java.lang.String driverCategory)

  Sets the driver category that should be used for displaying available driver defnitions.

  Parameters:
    `driverCategory` -

### getContext

    public IContext getContext(java.lang.Object target)

  Overrides:
    `getContext` in class `ConnectionProfileDetailsPage`

### getContextChangeMask

    public int getContextChangeMask()

  Overrides:
    `getContextChangeMask` in class `ConnectionProfileDetailsPage`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Overrides:
    `getSearchExpression` in class `ConnectionProfileDetailsPage`

### createControl

    public void createControl(Composite parent)

  Overrides:
    `createControl` in class `ConnectionProfileDetailsPage`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.